KMozillaBookmarkImporterImpl Class Reference

`#include <kbookmarkimporter_ns.h>`

Inheritance diagram for KMozillaBookmarkImporterImpl:

## Additional Inherited Members

Signals inherited from KBookmarkImporterBase
void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()
Public Member Functions inherited from KNSBookmarkImporterImpl
void | setUtf8 (bool utf8)
virtual void | parse ()
virtual QString | findDefaultLocation (bool forSaving=false) const
Public Member Functions inherited from KBookmarkImporterBase
void | setFilename (const QString &filename)
void | setupSignalForwards (QObject *src, QObject *dst)
Static Public Member Functions inherited from KBookmarkImporterBase
static KBookmarkImporterBase * | factory (const QString &type)
Protected Attributes inherited from KBookmarkImporterBase
QString | m_fileName

## Detailed Description

A class for importing Mozilla bookmarks utf8 defaults to on.

Since
  3.2

Definition at line 84 of file kbookmarkimporter_ns.h.

The documentation for this class was generated from the following file:

- kbookmarkimporter_ns.h

KDE Home | KDE Accessibility Home | Description of Access Keys